### Parameters

- `F : Cstubs.FOREIGN`

### Signature

`module Types : sig ... end`

`val getnameinfo : (Types.sockaddr Ctypes_static.ptr -> Posix_socket_types.socklen_t -> char Ctypes_static.ptr -> Posix_socket_types.socklen_t -> char Ctypes_static.ptr -> Posix_socket_types.socklen_t -> int -> int F.return) F.result`
`val getaddrinfo : (string -> string -> Types.Addrinfo.t Ctypes.structure Ctypes_static.ptr -> Types.Addrinfo.t Ctypes.structure Ctypes_static.ptr Ctypes_static.ptr -> int F.return) F.result`
`val freeaddrinfo : (Types.Addrinfo.t Ctypes.structure Ctypes_static.ptr -> unit F.return) F.result`
`val getservbyname : (char Ctypes_static.ptr -> unit Ctypes_static.ptr -> Types.Servent.t Ctypes.structure Ctypes_static.ptr F.return) F.result`
`val strnlen : (char Ctypes_static.ptr -> Unsigned.size_t -> Unsigned.size_t F.return) F.result`
`val htonl : (Unsigned.uint32 -> Unsigned.uint32 F.return) F.result`
`val htons : (Unsigned.uint16 -> Unsigned.uint16 F.return) F.result`
`val ntohs : (Unsigned.uint16 -> Unsigned.uint16 F.return) F.result`
`val ntohl : (Unsigned.uint32 -> Unsigned.uint32 F.return) F.result`